import React from 'react';
import './LeftNav.scss';
export interface Item {
    key: string;
    label: string;
    count?: number;
    isSelected?: boolean;
    isHeader?: boolean;
}
export interface State {
    searchText: string;
    collapsed: boolean;
}
export declare type Action = {
    type: 'SetSearch';
    searchValue: string;
} | {
    type: 'SetCollapsed';
    collapsedValue: boolean;
};
export interface Props {
    name: string;
    onChange(key: string): void;
    onClear(): void;
    onSearch?(searchQuery: string): void;
    onToggleCollapsed?(isToggled: boolean): void;
    items: Item[];
    collapsible?: boolean;
    defaultCollapsed?: boolean;
    collapseOnOutsideClick?: boolean;
    compact?: boolean;
    multiSelect?: boolean;
    showSearch?: boolean;
    showClear?: boolean;
    disabled?: boolean;
}
export declare const Section: React.FC<Props>;
