export interface SpecificPrice {
    price?: string;
    currency?: string;
    human?: string;
    currency_html_code?: string;
}
export interface Price {
    currency?: string;
    current_price?: SpecificPrice;
    deposit_price?: SpecificPrice;
    original_price?: SpecificPrice;
}
export interface ImageUrls {
    small?: string;
    medium?: string;
    large?: string;
}
export interface Inventory {
    available?: number;
    size?: string;
    can_sell: boolean;
}
export interface VariantDelivery {
    delivery_starts_on?: string;
    delivery_ends_on?: string;
}
export interface Variant {
    id: string;
    href: string;
    color: string;
    label: string;
    color_swatch_image_url?: string;
    coming_soon: boolean;
    can_sell: boolean;
    primary_image_urls: ImageUrls;
    alternate_image_urls: ImageUrls[];
    inventory: Inventory[];
    prices: Price;
    process_delivery_dates?: VariantDelivery;
    collections: string[];
}
export interface MasterVariant {
    id: string;
    name: string;
    designer_name: string;
    product_id: number;
    customizable?: boolean;
    master_variants_data: Variant;
    other_variants_data: Variant[];
    tag?: string;
}
export interface Size {
    can_sell: boolean;
}
