import * as React from 'react';
import classNames from 'classnames';

import './ButtonBase.scss';

export interface Props extends React.HTMLAttributes<HTMLButtonElement> {
  className?: string;
  children: React.ReactNode;
}

export const ButtonBase: React.FC<Props> = ({
  className,
  children,
  ...rest
}) => (
  <button className={classNames('ButtonBase', className)} {...rest}>
    {children}
  </button>
);
