import React, { ReactElement, ReactNode } from 'react';
import './Icon.scss';

interface Props {
  children?: ReactNode;
  iconName?: string;
  onClick?: () => void;
}

export const Icon = (props: Props): ReactElement<HTMLElement> => (
  <i
    className={'mo-display-icon-' + props.iconName}
    onClick={props.onClick ? props.onClick : null}
  >
    {props.children}
  </i>
);
