import React, { ReactElement } from 'react';
import classnames from 'classnames';
import './Link.scss';

interface Props {
  theme: string;
  href?: string;
  disabled?: boolean;
  target?: string;
  name: string;
  onClick?: (event: any) => void;
}

export const Link = (props: Props): ReactElement<HTMLAnchorElement> => (
  <a
    onClick={props.onClick}
    target={props.target}
    href={props.href}
    className={classnames('mo-display-link mo-display-link--' + props.theme, {
      disabled: props.disabled,
    })}
  >
    {props.name}
  </a>
);
