import classnames from 'classnames';

export const returnHoverClass = (hover: boolean, classes: string): string => {
  return classnames(classes, { hover });
};

export const validationPatterns = (type: string): RegExp => {
  switch (type) {
    case 'email':
      // TODO: Where did this lovely regex come from?
      // eslint-disable-next-line no-useless-escape
      return /^(([^<>()\[\]\.,;:\s@\"]+(\.[^<>()\[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i;
    case 'password':
      return /(?=.{6,})/;
    default:
      return /(?=.*.)/g;
  }
};

export const validateInput = (input: string, regexPattern: RegExp): boolean => {
  return Boolean(input.match(regexPattern));
};

export const validateEmail = (email: string): boolean =>
  validateInput(email, validationPatterns('email'));
